pidgin: _PurpleAccountUiOps Struct Reference

pidgin 2.14.4

Loading...
Searching...
No Matches
Data Fields
_PurpleAccountUiOps Struct Reference

Account UI operations, used to notify the user of status changes and when buddies add this account to their buddy lists. More...

`#include <account.h>`

## Data Fields
void(* | notify_added )(PurpleAccount *account, const char *remote_user, const char *id, const char *alias, const char *message)
| A buddy who is already on this account's buddy list added this account to their buddy list.
void(* | status_changed )(PurpleAccount *account, PurpleStatus *status)
| This account's status changed.
void(* | request_add )(PurpleAccount *account, const char *remote_user, const char *id, const char *alias, const char *message)
| Someone we don't have on our list added us; prompt to add them.
void *(* | request_authorize )(PurpleAccount *account, const char *remote_user, const char *id, const char *alias, const char *message, gboolean on_list, PurpleAccountRequestAuthorizationCb authorize_cb, PurpleAccountRequestAuthorizationCb deny_cb, void *user_data)
| Prompt for authorization when someone adds this account to their buddy list.
void(* | close_account_request )(void *ui_handle)
| Close a pending request for authorization.
void(* | _purple_reserved1 )(void)
void(* | _purple_reserved2 )(void)
void(* | _purple_reserved3 )(void)
void(* | _purple_reserved4 )(void)

## Detailed Description

Account UI operations, used to notify the user of status changes and when buddies add this account to their buddy lists.

Definition at line 78 of file account.h.

## Field Documentation

## ◆ _purple_reserved1

void(* _PurpleAccountUiOps::_purple_reserved1) (void)

Definition at line 120 of file account.h.

## ◆ _purple_reserved2

void(* _PurpleAccountUiOps::_purple_reserved2) (void)

Definition at line 121 of file account.h.

## ◆ _purple_reserved3

void(* _PurpleAccountUiOps::_purple_reserved3) (void)

Definition at line 122 of file account.h.

## ◆ _purple_reserved4

void(* _PurpleAccountUiOps::_purple_reserved4) (void)

Definition at line 123 of file account.h.

## ◆ close_account_request

void(* _PurpleAccountUiOps::close_account_request) (void *ui_handle)

Close a pending request for authorization.

ui_handle is a handle as returned by request_authorize.

Definition at line 118 of file account.h.

## ◆ notify_added

void(* _PurpleAccountUiOps::notify_added) (PurpleAccount *account, const char *remote_user, const char *id, const char *alias, const char *message)

A buddy who is already on this account's buddy list added this account to their buddy list.

Definition at line 83 of file account.h.

## ◆ request_add

void(* _PurpleAccountUiOps::request_add) (PurpleAccount *account, const char *remote_user, const char *id, const char *alias, const char *message)

Someone we don't have on our list added us; prompt to add them.

Definition at line 94 of file account.h.

## ◆ request_authorize

void *(* _PurpleAccountUiOps::request_authorize) (PurpleAccount *account, const char *remote_user, const char *id, const char *alias, const char *message, gboolean on_list, PurpleAccountRequestAuthorizationCb authorize_cb, PurpleAccountRequestAuthorizationCb deny_cb, void *user_data)

Prompt for authorization when someone adds this account to their buddy list.

To authorize them to see this account's presence, call authorize_cb (user_data); otherwise call deny_cb (user_data);

Returns
  a UI-specific handle, as passed to close_account_request.

Definition at line 105 of file account.h.

## ◆ status_changed

void(* _PurpleAccountUiOps::status_changed) (PurpleAccount *account, PurpleStatus *status)

This account's status changed.

Definition at line 90 of file account.h.

The documentation for this struct was generated from the following file:

- account.h